tigase.server.sreceiver.sysmon

## Class SystemMonitorTask

- java.lang.Object
- - tigase.server.sreceiver.AbstractReceiverTask
  - - tigase.server.sreceiver.RepoRosterTask
    - - tigase.server.sreceiver.sysmon.SystemMonitorTask

- All Implemented Interfaces:
    ReceiverTaskIfc

      public class SystemMonitorTask
      extends RepoRosterTask

  Created: Dec 6, 2008 8:12:41 PM
  Version:
    $Rev$
  Author:
    Artur Hefczyc

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SystemMonitorTask()` Constructs ...

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `destroy(Queue<Packet> results)` Method description
    `Map<String,PropertyItem>` | `getDefaultParams()` `getDefaultParams` method return task instance default configuration parameters.
    `String` | `getHelp()` `getHelp` method returns task help information.
    `Map<String,PropertyItem>` | `getParams()` `getParams` method return task instance configuration parameters.
    `void` | `getStatistics(StatisticsList list)` Method description
    `String` | `getType()` `getType` method returns the task type name.
    `void` | `init(Queue<Packet> results)` `init` method initializes task.
    `protected void` | `processMessage(Packet packet, Queue<Packet> results)` Method description
    `protected void` | `sendPacketOut(Packet input)` Method description
    `protected void` | `sendPacketsOut(Queue<Packet> input)` Method description
    `void` | `setParams(Map<String,Object> map)` Method description

    - ### Methods inherited from class tigase.server.sreceiver.RepoRosterTask

      `addToRoster, loadRoster, removeFromRoster, setRosterItemAdmin, setRosterItemModerationAccepted, setRosterItemOwner, setRosterItemSubscribed`

    - ### Methods inherited from class tigase.server.sreceiver.AbstractReceiverTask

      `addNewSubscribers, addOutPacket, addToRoster, getDescription, getInstance, getJID, getRoster, getRosterItem, getStats, isAdmin, isAllowedToPost, isAllowedToSubscribe, processPacket, removeSubscribers, setJID, setRosterItemOnline, setStanzaReceiver`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SystemMonitorTask

          public SystemMonitorTask()

      Constructs ...

  - ### Method Detail

    - #### destroy

          public void destroy(Queue<Packet> results)

      Description copied from class: `RepoRosterTask`
      Method description
      Specified by:
        `destroy` in interface `ReceiverTaskIfc`
      Overrides:
        `destroy` in class `RepoRosterTask`
      Parameters:
        `results` - a `Queue` value with all packets needed to send upon task deletion.

    - #### getDefaultParams

          public Map<String,PropertyItem> getDefaultParams()

      Description copied from interface: `ReceiverTaskIfc`
      `getDefaultParams` method return task instance default configuration parameters. The map should contains all possible parameters accepted by the task in `setParams` method. Values may be empty but may not be `null`. All of parameters should be converted to `String` type to make it possible to display them in ad-hoc command x-form. Parameters then should be converted back to whatever format is needed when passed back in `setParams` method. For more detailed information about configuration parameters please refer to `setParams` method.
      Specified by:
        `getDefaultParams` in interface `ReceiverTaskIfc`
      Overrides:
        `getDefaultParams` in class `AbstractReceiverTask`
      Returns:
        a `Map` value with task instance configuration parameters.
      See Also:
        `ReceiverTaskIfc.setParams(Map)`

    - #### getHelp

          public String getHelp()

      Description copied from interface: `ReceiverTaskIfc`
      `getHelp` method returns task help information. This general information about tasks abilties so when the user selects task for creation he might know what the task is about. This is more like class description rather then instance description.
      Returns:
        a `String` value of task class help information.

    - #### getParams

          public Map<String,PropertyItem> getParams()

      Description copied from interface: `ReceiverTaskIfc`
      `getParams` method return task instance configuration parameters. For more detailed information about configuration parameters please refer to corresponding `set` method.
      Specified by:
        `getParams` in interface `ReceiverTaskIfc`
      Overrides:
        `getParams` in class `AbstractReceiverTask`
      Returns:
        a `Map` value with task instance configuration parameters.
      See Also:
        `ReceiverTaskIfc.setParams(Map)`

    - #### getStatistics

          public void getStatistics(StatisticsList list)

      Description copied from interface: `ReceiverTaskIfc`
      Method description
      Specified by:
        `getStatistics` in interface `ReceiverTaskIfc`
      Overrides:
        `getStatistics` in class `AbstractReceiverTask`
      Parameters:
        `list` - is a `StatisticsList`

    - #### getType

          public String getType()

      Description copied from interface: `ReceiverTaskIfc`
      `getType` method returns the task type name. This name is displayed on the list of all tasks available for creation. This is not a nick name of created task this is something more like "Drupal forums connector" or "Interest group". Like a Java class name is unique in JVM the task name must be also inique for `StanzaReceiver.` Look at task nick name for more details.
      Returns:
        a `String` value of the task name.

    - #### init

          public void init(Queue<Packet> results)

      Description copied from interface: `ReceiverTaskIfc`
      `init` method initializes task. It allows also for a task to send initial stanzas to user like `available` presence or any other stanza which does make sense to send at startup time.
      Specified by:
        `init` in interface `ReceiverTaskIfc`
      Overrides:
        `init` in class `AbstractReceiverTask`
      Parameters:
        `results` - a `Queue<Packet>` is a collection of result packets to send out.

    - #### setParams

          public void setParams(Map<String,Object> map)

      Description copied from class: `RepoRosterTask`
      Method description
      Specified by:
        `setParams` in interface `ReceiverTaskIfc`
      Overrides:
        `setParams` in class `RepoRosterTask`
      Parameters:
        `map` - a `Map` value with configuration parameters.

    - #### processMessage

          protected void processMessage(Packet packet,
                                        Queue<Packet> results)

      Description copied from class: `AbstractReceiverTask`
      Method description
      Overrides:
        `processMessage` in class `AbstractReceiverTask`

    - #### sendPacketOut

          protected void sendPacketOut(Packet input)

      Method description
      Parameters:
        `input` -

    - #### sendPacketsOut

          protected void sendPacketsOut(Queue<Packet> input)

      Method description
      Parameters:
        `input` -

Copyright © 2017 "Tigase, Inc.". All rights reserved.